{
	"model": {
		"type": "range_dispatch",
		"property": "count",
		"scale": 64,
		"entries": [
			{
				"threshold": 0,
				"model": {
					"type": "model",
					"model": "block/green_candle_one_candle"
				}
			},
			{
				"threshold": 2,
				"model": {
					"type": "select",
					"property": "display_context",
					"cases": [
						{
							"when": "gui",
							"model": {
								"type": "model",
								"model": "block/green_candle_two_candles"
							}
						},
						{
							"when": "ground",
							"model": {
								"type": "model",
								"model": "block/green_candle_one_candle"
							}
						}
					],
					"fallback": {
						"type": "model",
						"model": "block/green_candle_one_candle"
					}
				}
			},
			{
				"threshold": 3,
				"model": {
					"type": "select",
					"model": "block/green_candle_one_candle",
					"property": "display_context",
					"cases": [
						{
							"when": "gui",
							"model": {
								"type": "model",
								"model": "block/green_candle_three_candles"
							}
						},
						{
							"when": "ground",
							"model": {
								"type": "model",
								"model": "block/green_candle_one_candle"
							}
						}
					],
					"fallback": {
						"type": "model",
						"model": "block/green_candle_one_candle"
					}
				}
			},
			{
				"threshold": 4,
				"model": {
					"type": "select",
					"model": "block/green_candle_one_candle",
					"property": "display_context",
					"cases": [
						{
							"when": "gui",
							"model": {
								"type": "model",
								"model": "block/green_candle_four_candles"
							}
						},
						{
							"when": "ground",
							"model": {
								"type": "model",
								"model": "block/green_candle_two_candles"
							}
						}
					],
					"fallback": {
						"type": "model",
						"model": "block/green_candle_one_candle"
					}
				}
			},
			{
				"threshold": 6,
				"model": {
					"type": "select",
					"model": "block/green_candle_one_candle",
					"property": "display_context",
					"cases": [
						{
							"when": "gui",
							"model": {
								"type": "model",
								"model": "block/green_candle_four_candles"
							}
						},
						{
							"when": "ground",
							"model": {
								"type": "model",
								"model": "block/green_candle_three_candles"
							}
						}
					],
					"fallback": {
						"type": "model",
						"model": "block/green_candle_one_candle"
					}
				}
			},
			{
				"threshold": 8,
				"model": {
					"type": "select",
					"model": "block/green_candle_one_candle",
					"property": "display_context",
					"cases": [
						{
							"when": "gui",
							"model": {
								"type": "model",
								"model": "block/green_candle_four_candles"
							}
						},
						{
							"when": "ground",
							"model": {
								"type": "model",
								"model": "block/green_candle_four_candles"
							}
						}
					],
					"fallback": {
						"type": "model",
						"model": "block/green_candle_one_candle"
					}
				}
			}
		],
		"fallback": {
			"type": "model",
			"model": "block/green_candle_one_candle"
		}
	}
}